Reading Excel with apache POI on API 23 for Android

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Reading Excel with apache POI on API 23 for Android

RioKhanbas
Hello,

I need to make an application that reads from an Excel file for Android, I
have seen that the library POI can help me with this, I have added to my
project this two libraries:

implementation "org.apache.poi:poi:3.17"
implementation "org.apache.poi:poi-ooxml:3.17"

The version is the 3.17 because higher versions won't work on this API, now
when I'm trying to compile the project this error message appears:

Program type already present: org.apache.xmlbeans.xml.stream.Location

What is the solution for this?





--
Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Reading Excel with apache POI on API 23 for Android

Dominik Stadler
Hi,

Apache POI itself does not provide support for running on Android as the
support for certain Java-features is missing/limited.

There are two separate projects at https://github.com/andruhon/android5xlsx
and https://github.com/centic9/poi-on-android which tried to provide a
working version of Apache POI on Android by applying some workarounds, you
can try one of those and see if what you would like to do is possible with
one of those.

HTH... Dominik.

On Sat, Sep 28, 2019 at 11:56 AM RioKhanbas <[hidden email]> wrote:

> Hello,
>
> I need to make an application that reads from an Excel file for Android, I
> have seen that the library POI can help me with this, I have added to my
> project this two libraries:
>
> implementation "org.apache.poi:poi:3.17"
> implementation "org.apache.poi:poi-ooxml:3.17"
>
> The version is the 3.17 because higher versions won't work on this API, now
> when I'm trying to compile the project this error message appears:
>
> Program type already present: org.apache.xmlbeans.xml.stream.Location
>
> What is the solution for this?
>
>
>
>
>
> --
> Sent from: http://apache-poi.1045710.n5.nabble.com/POI-User-f2280730.html
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>